Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.connection
Class RedisPipelineException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.InvalidDataAccessResourceUsageException
                                  org.springframework.data.redis.connection.RedisPipelineException

All Implemented Interfaces:
  Serializable

    public class RedisPipelineException

extends InvalidDataAccessResourceUsageException

Exception thrown when executing/closing a pipeline that contains one or multiple invalid/incorrect statements. The exception might also contain the pipeline result (if the driver returns it), allowing for analysis and tracing.

Typically, the first exception returned by the pipeline is used as the cause of this exception for easier debugging.

See Also:
  Serialized Form

Constructor Summary
`RedisPipelineException(Exception cause)` Constructs a new `RedisPipelineException` instance using a default message and an empty pipeline result list.
`RedisPipelineException(Exception cause, List<Object> pipelineResult)` Constructs a new `RedisPipelineException` instance using a default message.
`RedisPipelineException(String msg, List<Object> pipelineResult)` Constructs a new `RedisPipelineException` instance.
`RedisPipelineException(String msg, Throwable cause, List<Object> pipelineResult)` Constructs a new `RedisPipelineException` instance.

Method Summary
`List<Object>` | `getPipelineResult()` Optionally returns the result of the pipeline that caused the exception.

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RedisPipelineException

    public RedisPipelineException(String msg,
                                  Throwable cause,
                                  List<Object> pipelineResult)

  Constructs a new `RedisPipelineException` instance.

  Parameters:
    `msg` - the message
    `cause` - the cause
    `pipelineResult` - the pipeline result

### RedisPipelineException

    public RedisPipelineException(Exception cause,
                                  List<Object> pipelineResult)

  Constructs a new `RedisPipelineException` instance using a default message.

  Parameters:
    `cause` - the cause
    `pipelineResult` - the pipeline result

### RedisPipelineException

    public RedisPipelineException(Exception cause)

  Constructs a new `RedisPipelineException` instance using a default message and an empty pipeline result list.

  Parameters:
    `cause` - the cause

### RedisPipelineException

    public RedisPipelineException(String msg,
                                  List<Object> pipelineResult)

  Constructs a new `RedisPipelineException` instance.

  Parameters:
    `msg` - message
    `pipelineResult` - pipeline partial results

Method Detail

### getPipelineResult

    public List<Object> getPipelineResult()

  Optionally returns the result of the pipeline that caused the exception. Typically contains both the results of the successful statements but also the exceptions of the incorrect ones.

  Returns:
    result of the pipeline

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD